html {
    font-size: @font-size-base;
}

html, body {
    width: 100%;
    height: 100%;
    margin: 0px;
    padding: 0px;
}

body {
    color: @text-color;
    font-size: 1rem;

    &.offcanvas-open,
    &.offcanvas-animating {
        @media (max-width: (@mobile-nav-breakpoint - 1)) {
            overflow: hidden;
        }
    }

    a {
        color: @text-color;
    }

    &.admin-tools-visible {
        .navigation-wrapper {
            margin-top: 50px;
        }
        .offcanvas-nav {
            top: 50px;
        }
    }
}

* {
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

.content-wrap {
    position: relative;
    width: 100%;
    transition: transform .4s;

    &.supports-flex {
        display: flex;
        flex-direction: column;
        flex: 1 0 auto;
        height: 100%;
    }

    &.windows-phone {
        display: block;
    }

    body.offcanvas-open & {
        @media (max-width: (@mobile-nav-breakpoint - 1)) {
            transform: translate3d(@mobile-nav-width, 0, 0);
        }
    }
}

.main-content {
    @media (min-width: @screen-md-min) {
        margin-top: @grid-gutter-width/1.5;
    }
}

#main {
    z-index: 1;

    &.supports-flex {
        flex: 1 0 auto;
    }

    .alert i {
        margin-right: 15px;
    }
}

.footer {
    z-index: 1;
    position: relative;
    clear: both;
    padding-top: 30px;
}

.page-header {
    border: 0;

    @media (max-width: @screen-sm-max) {
        margin: @grid-gutter-width/2 0 @grid-gutter-width/3;
        padding: 0;
    }

    h1 {
        @media (max-width: @screen-sm-max) {
            margin: 0;
        }
    }
}

.btn {
    text-transform: @btn-text-transform;
}

.bootstrap-select {
    .btn {
        text-transform: none;
    }
}

.panel, .well {
    hr {
        border-color: @border-color;
    }
}

.scroll-top-btn {
    position: fixed;
    bottom: 15px;
    right: 15px;
    width: 34px;
    height: 34px;
    line-height: 34px;
    text-align: center;
    background: rgba(0,0,0,0.3);
    color: #fff;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s;

    &:hover, &:focus {
        background: rgba(0,0,0,1);
        color: #fff;
    }

    &.visible {
        visibility: visible;
        opacity: 1;
        z-index: 1000;
    }
}

.title-bar {
    text-transform: @title-bar-text-transform;
    margin-top: 15px;
    margin-bottom: 25px;

    &.light {
        position: relative;

        &:before {
            content: "";
            position: absolute;
            top: 50%;
            right: 0;
            left: 0;
            height: 0;
            z-index: 0;
            transform: translateY(-50%);
            border-bottom: @title-bar-light-border-width @title-bar-light-border-style @title-bar-light-border-color;
        }

        h1, h2, h3, h4 {
            line-height: 1;
            position: relative;
            display: inline-block;
            z-index: 1;
            margin: 0;
            color: @title-bar-light-title-color;
            vertical-align: middle;
            padding-right: @grid-gutter-width/2;
            background: @body-bg;
        }
    }

    &.dark {
        padding: 10px 15px;
        background: @title-bar-dark-background;
        color: @title-bar-dark-color;

        h1, h2, h3, h4 {
            margin: 0;
            color: @title-bar-dark-title-color;
        }
    }
}

.frontpage-carousel {
    margin-bottom: 50px;
}

.homepage-banners {
    overflow: hidden;

    &.container > div:first-child {
        margin-top: @grid-gutter-width;
    }
}

section.image-banner {
    background: @brand-primary;
    padding: 70px 0px;
    text-align: center;
    background-position: 50%;
    background-repeat: no-repeat;
    background-size: cover;

    h1 {
        margin: 0 40px;
        text-transform: uppercase;
        color: #fff;
        text-align: left;

        @media (min-width: @screen-md-min) {
            font-size: 4rem;
        }
    }
}

.breadcrumb {
    padding: 0;
    margin-top: 0px;
    margin-bottom: @grid-gutter-width/3;
    list-style: none;
    color: @text-muted;
    font-size: 0.9rem;
    background: none;

    @media (min-width: @screen-md-min) {
        margin-bottom: @grid-gutter-width/1.5;
    }

    > li {
        display: inline-block;

        a {
            color: @text-muted;
        }

        + li:before {
            content: "@{breadcrumb-separator}\00a0"; // Unicode space added since inline-block means non-collapsing white-space
            padding: 0 2px;
        }
    }
}

.panel {
    box-shadow: none;
    border: 0;
    &.panel-white-bg {
        background: #fff;
        border: 3px solid @brand-lighter;
    }

    .panel-title {
        font-size: 1.4rem;
        border-bottom: 3px solid @brand-primary;
        padding: 7px;
    }
}

.message-wrapper {
    position: fixed;
    bottom: 10px;
    right: 10px;
    max-width: 300px;
}

.table.table-prices {
    width: 50%;
    tr {
        td {
            white-space: nowrap;
            border: none;
            .original-price {
                font-size: 0.95rem;
                text-decoration: line-through;
            }
            .discounted-price {
                font-size: 1rem;
            }
        }
    }
}

.discount-color {
    color: @discount-color;
}

.open {
    .dropdown-menu {
        animation: fadeIn 0.2s;
    }
}

@-webkit-keyframes fadeIn {
    from { opacity: 0; }
      to { opacity: 1; }
}
@keyframes fadeIn {
    from { opacity: 0; }
      to { opacity: 1; }
}

.flash {
    z-index: 1000;
}

hr {
    border-style: @border-style;
}

button {
    background-color: @native-button-bg;
    color: @native-button-color;
    border-color: @native-button-border;
}

.lead {
    font-size: @font-size-base-rem * 1.15;
}

.dropzone {
    background-color: @gray-lighter;
    border: 2px dashed @border-color;
    border-radius: @input-border-radius;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transition: all 0.2s ease-in-out;
    width: 100%;

    .dz-message {
        margin: 0;
        margin-top: 2rem;
        transition: opacity 0.2s ease-in-out;

        &::before {
            content: '\f0ee';
            font-family: 'FontAwesome';
            font-size: 2.4rem;
            color: @border-color;
            position: absolute;
            top: 1rem;
            left: 50%;
            transform: translateX(-50%);
        }

        span a {
            text-decoration: none;
            border-bottom: 1px solid @brand-primary;
        }
    }

    &.dz-drag-hover {
        border-color: @brand-primary;
        border-style: dashed;
        box-shadow: 0 8px 30px -4px @gray-lighter;
    }

    span {
        color: @text-color;
    }
}

.main-messages-wrap .container {
    > * {
        margin: @grid-gutter-width/2 0;
    }
}

.badge.sale {
    background-color: @discount-color;
}
